<?php

namespace App\Policies;

use Illuminate\Auth\Access\Response;
use App\Models\PalletValidation;
use App\Models\User;

class PalletValidationPolicy
{
    /**
     * Determine whether the user can view any models.
     */
    public function viewAny(User $user): bool
    {
        return $user->checkPermissionTo('view-any PalletValidation');
    }

    /**
     * Determine whether the user can view the model.
     */
    public function view(User $user, PalletValidation $palletvalidation): bool
    {
        return $user->checkPermissionTo('view PalletValidation');
    }

    /**
     * Determine whether the user can create models.
     */
    public function create(User $user): bool
    {
        return $user->checkPermissionTo('create PalletValidation');
    }

    /**
     * Determine whether the user can update the model.
     */
    public function update(User $user, PalletValidation $palletvalidation): bool
    {
        return $user->checkPermissionTo('update PalletValidation');
    }

    /**
     * Determine whether the user can delete the model.
     */
    public function delete(User $user, PalletValidation $palletvalidation): bool
    {
        return $user->checkPermissionTo('delete PalletValidation');
    }

    /**
     * Determine whether the user can delete any models.
     */
    public function deleteAny(User $user): bool
    {
        return $user->checkPermissionTo('delete-any PalletValidation');
    }

    /**
     * Determine whether the user can restore the model.
     */
    public function restore(User $user, PalletValidation $palletvalidation): bool
    {
        return $user->checkPermissionTo('restore PalletValidation');
    }

    /**
     * Determine whether the user can restore any models.
     */
    public function restoreAny(User $user): bool
    {
        return $user->checkPermissionTo('restore-any PalletValidation');
    }

    /**
     * Determine whether the user can replicate the model.
     */
    public function replicate(User $user, PalletValidation $palletvalidation): bool
    {
        return $user->checkPermissionTo('replicate PalletValidation');
    }

    /**
     * Determine whether the user can reorder the models.
     */
    public function reorder(User $user): bool
    {
        return $user->checkPermissionTo('reorder PalletValidation');
    }

    /**
     * Determine whether the user can permanently delete the model.
     */
    public function forceDelete(User $user, PalletValidation $palletvalidation): bool
    {
        return $user->checkPermissionTo('force-delete PalletValidation');
    }

    /**
     * Determine whether the user can permanently delete any models.
     */
    public function forceDeleteAny(User $user): bool
    {
        return $user->checkPermissionTo('force-delete-any PalletValidation');
    }
}
